<?php

namespace Litecms\Promo\Seeders;

use DB;
use Illuminate\Database\Seeder;

class PromoTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('promos')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'promo.promo.view',
                'name'      => 'View Promo',
            ],
            [
                'slug'      => 'promo.promo.create',
                'name'      => 'Create Promo',
            ],
            [
                'slug'      => 'promo.promo.edit',
                'name'      => 'Update Promo',
            ],
            [
                'slug'      => 'promo.promo.delete',
                'name'      => 'Delete Promo',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/promo/promo',
                'name'        => 'Promo',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/promo/promo',
                'name'        => 'Promo',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'promo',
                'name'        => 'Promo',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Promo',
                'module'    => 'Promo',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'promo.promo.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
