Lavalite package that provides promo management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/promo`.

    "litecms/promo": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Promo\Providers\PromoServiceProvider::class,

And also add it to alias

    'Promo'  => Litecms\Promo\Facades\Promo::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Promo\\Seeders\\PromoTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Promo\Providers\PromoServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Promo\Providers\PromoServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Promo\Providers\PromoServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/promo/{modulename}

**User**

    http://path-to-route-folder/user/promo/{modulename}

**Public**

    http://path-to-route-folder/promos


### API endpoints

**List**

    http://path-to-route-folder/api/user/promo/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/promo/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/promo/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/promo/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/promo/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/promo/{modulename}/{slug}
    METHOD: GET