<?php

namespace Litecms\Promo\Forms;

use Litepie\Form\FormInterpreter;

class Promo extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('promo/promo/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('promo/promo/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('promo/promo'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('promo/promo'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('promo/promo'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('promo/promo'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('promo::promo.label.name'),
                "placeholder" => trans('promo::promo.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('promo::promo.label.created_at'),
            'name' => trans('promo::promo.label.name'),
            'status' => trans('promo::promo.label.status'),
        ];
        self::$groups = [
            'main' => trans('promo::promo.groups.main'),
            'details' => trans('promo::promo.groups.details'),
            'images' => trans('promo::promo.groups.images'),
            'settings' => trans('promo::promo.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('promo::promo.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('promo::promo.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('promo::promo.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('promo::promo.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('promo::promo.label.title'),
                "placeholder" => trans('promo::promo.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'slug' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('promo::promo.label.slug'),
                "placeholder" => trans('promo::promo.placeholder.slug'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'url' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('promo::promo.label.url'),
                "placeholder" => trans('promo::promo.placeholder.url'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'blurb' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('promo::promo.label.blurb'),
                "placeholder" => trans('promo::promo.placeholder.blurb'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'content' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('promo::promo.label.content'),
                "placeholder" => trans('promo::promo.placeholder.content'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
